<section class="nevis-password-reset-req"
         [ngClass]="{'grid-indent-google-captcha': !isCaptchaValid,
                     'grid-indent': isCaptchaValid}">

  <h2 class="nevis-password-reset-req__title">{{app.t7eMap('title_reset_req',t7e)}}</h2>

  <dwfe-google-captcha [ngClass]="{'visually-hidden': isCaptchaValid}"
                       [captchaTxt]="app.t7eMap('catcha_title',t7e)"
                       [errorMessage]="errorMessage"
                       [showOverlay]="isLocked"
                       (googleResponse)="nevisService.googleCaptchaValidateExchanger.runGoogleCaptchaCheck(this, $event)"></dwfe-google-captcha>

  <section class="nevis-password-reset-req__form  dwfe-form" spellcheck="false" *ngIf="isCaptchaValid && !isExchangeCompleted">

    <dwfe-input-email class="dwfe-form__item"
                      [labelText]="app.t7eMap('email_associated_with_account',t7e)"
                      [externalBackendValidator]="nevisService.backendValidatorEmail.bind(nevisService)"
                      [reverseHandleRespFromBackend]="true"
                      (takeControl)="cEmail=$event"
                      #refEmail></dwfe-input-email>

    <dwfe-ok-action [errorMessage]="errorMessage"
                    [showErrorMessage]="errorMessage !== ''"
                    [isDisabled]="!(cEmail && cEmail.valid) || isLocked"
                    (takeClick)="performPasswordResetReq()"></dwfe-ok-action>

    <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

  </section>

  <div *ngIf="isCaptchaValid && isExchangeCompleted">
    <p class="dwfe-txt-successful  nevis-password-reset-req__info-item">{{app.t7eMap('successfully_completed',t7e)}}</p>
    <p class="dwfe-txt-warning  nevis-password-reset-req__info-item">{{app.t7eMap('check_email_box',t7e)}}</p>
  </div>

</section>
